Bug 524470 - Exaile + python-CDDB not finding latest freedb record.
Summary: Exaile + python-CDDB not finding latest freedb record.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: python-CDDB
Version: 11
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jeffrey C. Ollie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-20 16:23 UTC by Mathew Topper
Modified: 2010-06-28 14:44 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:44:45 UTC


Attachments (Terms of Use)

Description Mathew Topper 2009-09-20 16:23:53 UTC
Description of problem: Firstly, the bug is experienced in exaile. I just believe that exaile uses CDDB.py to do it's freebd lookups (I could be wrong). The problem is that when a record is in two categories in freebd, it will not necessarily choose the newest record, instead choosing the first record it finds in a category (and then not searching the other categories for newer revisions).


Version-Release number of selected component (if applicable): 11


How reproducible: Easy with the right CD (Seal - Seal for instance)


Steps to Reproduce:
1. Start exaile.
2. Open Seal - Seal CD (id 750c3f09)
3. Tracks displayed after CDDB lookup.
  
Actual results: Tracks displayed are from revision 14 is the 'misc' category


Expected results: Tracks should be from revision 16 in the 'rock' category. Alternative software (like aqualung) seems to get this right.


Additional info: use cddb_query to check entries with id 750c3f09 i.e

cddb_query read misc 750c3f09
cddb_query read rock 750c3f09

Comment 1 Mathew Topper 2009-09-20 16:54:55 UTC
Checked with exaile version 0.3 in fedora-rawhide repository with same result.

Comment 2 Bug Zapper 2010-04-28 10:29:25 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2010-06-28 14:44:45 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.